/*** GRAF15.C ***/

extern unsigned _stklen = 10000;

#include "GRAFICOS.C"
#include "ESCONDID.C"

char nome_arquivo[80] = "GRAF15";

float f1(float x, float y) { return (7 + 1.5*cos(x))*sin(2*y); }
float f2(float x, float y) { return (7 + 1.5*cos(x))*sin(3*y); }
float f3(float x, float y) { return 1.5*sin(x); }

void main(int argc) {
  int cor_f1 = WHITE,
      cor_f2 = WHITE,
      cor3 = BROWN,
      cor4 = BLACK,
      cor1 = BROWN,
      cor2 = BLACK,
      padrao1 = 85,
      padrao2 = 85,
      opcao = -1,
      cor_max_min = BROWN;

  float xmin, xmax, ymin, ymax, zmin, zmax;
  char mens[80];

  IniciaModoGrafico();
  o1 = 1.8; o2 = 1; o3 = 1.2;
  DeterminaPlanoDeProjecao();
  A = getmaxx()/2;
  B = getmaxy()/2;
  TAM = 36;
  nu = 65; nv = 85;
  DesenhaSuperficieEsc(f1, f2, f3, 0, 6.283, 0, 6.283, &xmin, &xmax, &ymin,
	     &ymax, &zmin, &zmax, cor_f1, cor_f2, cor1, cor2, cor3, cor4,
	     padrao1, padrao2, nome_arquivo, opcao);

  SalvaImagem(nome_arquivo);
  setcolor(cor_max_min);
  sprintf(mens, "x %c [%4.2f, %4.2f], y %c [%4.2f, %4.2f], z %c [%4.2f, "
		"%4.2f]", 238, xmin, xmax, 238, ymin, ymax, 238, zmin, zmax);
  outtextxy(1, getmaxy() - textheight("H"), mens);
  if (argc == 1) {
    getch();
    closegraph();
  }
}

/*** FIM DE GRAF15.C ***/

